package com.fs.hisStore.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hisStore.mapper.FsStoreCouponIssueUserScrmMapper;
import com.fs.hisStore.domain.FsStoreCouponIssueUserScrm;
import com.fs.hisStore.service.IFsStoreCouponIssueUserScrmService;

/**
 * 优惠券用户领取记录Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsStoreCouponIssueUserScrmServiceImpl implements IFsStoreCouponIssueUserScrmService 
{
    @Autowired
    private FsStoreCouponIssueUserScrmMapper fsStoreCouponIssueUserMapper;

    /**
     * 查询优惠券用户领取记录
     * 
     * @param id 优惠券用户领取记录ID
     * @return 优惠券用户领取记录
     */
    @Override
    public FsStoreCouponIssueUserScrm selectFsStoreCouponIssueUserById(Long id)
    {
        return fsStoreCouponIssueUserMapper.selectFsStoreCouponIssueUserById(id);
    }

    /**
     * 查询优惠券用户领取记录列表
     * 
     * @param fsStoreCouponIssueUser 优惠券用户领取记录
     * @return 优惠券用户领取记录
     */
    @Override
    public List<FsStoreCouponIssueUserScrm> selectFsStoreCouponIssueUserList(FsStoreCouponIssueUserScrm fsStoreCouponIssueUser)
    {
        return fsStoreCouponIssueUserMapper.selectFsStoreCouponIssueUserList(fsStoreCouponIssueUser);
    }

    /**
     * 新增优惠券用户领取记录
     * 
     * @param fsStoreCouponIssueUser 优惠券用户领取记录
     * @return 结果
     */
    @Override
    public int insertFsStoreCouponIssueUser(FsStoreCouponIssueUserScrm fsStoreCouponIssueUser)
    {
        fsStoreCouponIssueUser.setCreateTime(DateUtils.getNowDate());
        return fsStoreCouponIssueUserMapper.insertFsStoreCouponIssueUser(fsStoreCouponIssueUser);
    }

    /**
     * 修改优惠券用户领取记录
     * 
     * @param fsStoreCouponIssueUser 优惠券用户领取记录
     * @return 结果
     */
    @Override
    public int updateFsStoreCouponIssueUser(FsStoreCouponIssueUserScrm fsStoreCouponIssueUser)
    {
        fsStoreCouponIssueUser.setUpdateTime(DateUtils.getNowDate());
        return fsStoreCouponIssueUserMapper.updateFsStoreCouponIssueUser(fsStoreCouponIssueUser);
    }

    /**
     * 批量删除优惠券用户领取记录
     * 
     * @param ids 需要删除的优惠券用户领取记录ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreCouponIssueUserByIds(Long[] ids)
    {
        return fsStoreCouponIssueUserMapper.deleteFsStoreCouponIssueUserByIds(ids);
    }

    /**
     * 删除优惠券用户领取记录信息
     * 
     * @param id 优惠券用户领取记录ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreCouponIssueUserById(Long id)
    {
        return fsStoreCouponIssueUserMapper.deleteFsStoreCouponIssueUserById(id);
    }
}
